<?php
 
 
 

namespace PhpWA\Protocol\Proto;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class BotAgeCollectionMetadata extends \Google\Protobuf\Internal\Message
{
    


    protected $ageCollectionEligible = null;
    


    protected $shouldTriggerAgeCollectionOnClient = null;
    


    protected $ageCollectionType = null;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getAgeCollectionEligible()
    {
        return isset($this->ageCollectionEligible) ? $this->ageCollectionEligible : false;
    }

    public function hasAgeCollectionEligible()
    {
        return isset($this->ageCollectionEligible);
    }

    public function clearAgeCollectionEligible()
    {
        unset($this->ageCollectionEligible);
    }

    




    public function setAgeCollectionEligible($var)
    {
        GPBUtil::checkBool($var);
        $this->ageCollectionEligible = $var;

        return $this;
    }

    



    public function getShouldTriggerAgeCollectionOnClient()
    {
        return isset($this->shouldTriggerAgeCollectionOnClient) ? $this->shouldTriggerAgeCollectionOnClient : false;
    }

    public function hasShouldTriggerAgeCollectionOnClient()
    {
        return isset($this->shouldTriggerAgeCollectionOnClient);
    }

    public function clearShouldTriggerAgeCollectionOnClient()
    {
        unset($this->shouldTriggerAgeCollectionOnClient);
    }

    




    public function setShouldTriggerAgeCollectionOnClient($var)
    {
        GPBUtil::checkBool($var);
        $this->shouldTriggerAgeCollectionOnClient = $var;

        return $this;
    }

    



    public function getAgeCollectionType()
    {
        return isset($this->ageCollectionType) ? $this->ageCollectionType : 0;
    }

    public function hasAgeCollectionType()
    {
        return isset($this->ageCollectionType);
    }

    public function clearAgeCollectionType()
    {
        unset($this->ageCollectionType);
    }

    




    public function setAgeCollectionType($var)
    {
        GPBUtil::checkEnum($var, \PhpWA\Protocol\Proto\BotAgeCollectionMetadata\AgeCollectionType::class);
        $this->ageCollectionType = $var;

        return $this;
    }

}

